Skip to content

Get a bound MFA authentication factor

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the details of a user-bound MFA Factor based on Factor ID.

Method name

AuthenticationClient.get_factor

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
factorIdstringYes-MFA Factor ID6229ffaxxxxxxxxcade3e3d9

Request response

Type: GetFactorRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a FactorDtoMFA Factor details

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "factorId": "6229ffaxxxxxxxxcade3e3d9",
    "factorType": "SMS",
    "profile": {
      "phoneNumber": "188xxxx8888",
      "phoneCountryCode": "+86"
    }
  }
}

Data structure

FactorDto

NameTypeIs it requiredDescriptionSample value
factorIdstringyesMFA authentication factor ID6229ffaxxxxxxxxcade3e3d9
factorTypestringyesMFA authentication factor typeOTP
profileobjectyesMFA authentication factor information{"phoneNumber":"188xxxx8888","phoneCountryCode":"+86"}

Agent infrastructure for identity, memory, and web action.